From 4171b080986cea6e70686183e94c7a46bdc86966 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 19 Nov 2014 21:51:30 -0500
Subject: [PATCH 2/3] Remove USE_VPATH make variable from PGXS

The user can just set VPATH directly.  There is no need to invent
another variable.
---
 doc/src/sgml/extend.sgml | 6 +++---
 src/makefiles/pgxs.mk    | 9 ++++-----
 2 files changed, 7 insertions(+), 8 deletions(-)

diff --git a/doc/src/sgml/extend.sgml b/doc/src/sgml/extend.sgml
index a2d4ca2..be10252 100644
--- a/doc/src/sgml/extend.sgml
+++ b/doc/src/sgml/extend.sgml
@@ -1180,10 +1180,10 @@ <title>Extension Building Infrastructure</title>
     way to how it is done for the core code. One way to do this is using the
     core script <filename>config/prep_buildtree</>. Once this has been done
     you can build by setting the <literal>make</literal> variable
-    <varname>USE_VPATH</varname> like this:
+    <varname>VPATH</varname> like this:
 <programlisting>
-make USE_VPATH=/path/to/extension/source/tree
-make USE_VPATH=/path/to/extension/source/tree install
+make VPATH=/path/to/extension/source/tree
+make VPATH=/path/to/extension/source/tree install
 </programlisting>
     This procedure can work with a greater variety of directory layouts.
    </para>
diff --git a/src/makefiles/pgxs.mk b/src/makefiles/pgxs.mk
index 8cf229e..60cccdd 100644
--- a/src/makefiles/pgxs.mk
+++ b/src/makefiles/pgxs.mk
@@ -62,11 +62,10 @@ top_builddir := $(dir $(PGXS))../..
 include $(top_builddir)/src/Makefile.global
 
 top_srcdir = $(top_builddir)
-# If USE_VPATH is set or Makefile is not in current directory we are building
-# the extension with VPATH so we set the variable here
-ifdef USE_VPATH
-srcdir = $(USE_VPATH)
-VPATH = $(USE_VPATH)
+# If VPATH is set or Makefile is not in current directory we are building
+# the extension with VPATH so we set the variable here.
+ifdef VPATH
+srcdir = $(VPATH)
 else
 ifeq ($(CURDIR),$(dir $(firstword $(MAKEFILE_LIST))))
 srcdir = .
-- 
2.1.3

